Bug 3785 - socket.so is missing
: socket.so is missing
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/ruby-stdlibs)
: unstable
: all Linux
: P2 blocker
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-03-04 10:33 by
Modified: 2005-07-13 15:45 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-03-04 10:33:23
Отсутствует Socket-Level Access Library (socket.so)

$ ruby -e 'require "socket"'
-e:1:in `require': No such file to load -- socket (LoadError)
        from -e:1
------- Comment #1 From 2004-03-04 13:00:55 -------
Build log contains: 
 
[...] 
compiling socket 
 
Fatal: --enable-ipv6 is specified, and your OS seems to support IPv6 feature. 
But your getaddrinfo() and getnameinfo() are appeared to be broken.  Sorry, 
you cannot compile IPv6 socket classes with broken these functions. 
[...] 
installing socket 
make[1]: Entering directory `/usr/src/RPM/BUILD/ruby-1.8/ext/socket' 
make[1]: Nothing to be done for `install'. 
make[1]: Leaving directory `/usr/src/RPM/BUILD/ruby-1.8/ext/socket' 
 
------- Comment #2 From 2004-03-12 17:57:02 -------
Fixed in 1.8.0-alt7